LArSoft - Bug #18003

lariov::SIOVChannelStatusProvider depends on art
10/21/2017 04:13 PM - Gianluca Petrillo

Status: Assigned Start date: 10/21/2017
Priority: Normal Due date:

Assignee: Brandon Eberly % Done: 0%
Category: Other Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Occurs In: Co-Assignees:

Experiment: -

Description

The service provider lariov::SIOVChannelStatusProvider (
larevt:source:larevt/CalibrationDBI/Providers/SIOVChannelStatusProvider.h) is required to be independent of the framework, but it
uses art classes (I spot art::ServiceHandle).

These dependencies must be moved out to the art service.

History

#1 - 10/21/2017 04:13 PM - Gianluca Petrillo

- Description updated

#2 - 10/23/2017 10:28 AM - Lynn Garren
- Status changed from New to Assigned

- Assignee set to Brandon Eberly

Brandon, are you able to fix this?

#3 - 06/18/2018 04:37 PM - Brandon Eberly

This cannot be done without changing the behavior of the code or making a breaking change. There is a GetChannelsWithStatus function that

returns all channels with a particular status. For this to work in the case of initializing from a default status (rather than database or a file), then the
total number of channels needs to be known. The code currently uses the geometry service to get this information.

#4 - 06/25/2018 10:47 AM - Kyle Knoepfel

We'd like to have a discussion with you regarding this.
